diff --git a/setup/nocodb-install.sh b/setup/nocodb-install.sh
index bb7d0b78..48464294 100644
--- a/setup/nocodb-install.sh
+++ b/setup/nocodb-install.sh
@@ -40,6 +40,13 @@ done
 msg_ok "Set up Container OS"
 msg_ok "Network Connected: ${BL}$(hostname -I)"
 
+wget -q --tries=10 --timeout=5 --spider http://google.com
+if [[ $? -eq 0 ]]; then
+        msg_ok "Internet Online"
+else
+        echo -e "{CROSS}${RD} Internet Offline"
+fi
+
 msg_info "Updating Container OS"
 apt update &>/dev/null
 apt-get -qqy upgrade &>/dev/null